# Class=1018 (0x03FA) - Class2 Level I Diagnostic

    CLASS2.LEVEL1.DIAGNOSTIC

## Description

This class mirrors the [CLASS1.DIAGNOSTIC](./class1.diagnostic.md) class but use a different data format with a GUID stored in the first 16 bytes of the data followed by the standard data thus offset with 16-bytes.

See [CLASS2.PROTOCOL1](./class2.protocol1.md) for more information on the data format.
## Type=0 (0x00) - General event :id=type0

```
VSCP_TYPE_DIAGNOSTIC_GENERAL
```
General Event. 


 | Data byte | Description | 
 | :---------: | ----------- | 
 | 0         | index. Often used as an index for channels/subdevices within a module. | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones. | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones. | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 
        


----


## Type=1 (0x01) - Overvoltage :id=type1

```
VSCP_TYPE_DIAGNOSTIC_OVERVOLTAGE
```
Over voltage has been diagnosed. 

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=2 (0x02) - Undervoltage :id=type2

```
VSCP_TYPE_DIAGNOSTIC_UNDERVOLTAGE
```
Under voltage has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=3 (0x03) - USB VBUS low :id=type3

```
VSCP_TYPE_DIAGNOSTIC_VBUS_LOW
```
Low voltage on USB VBUS has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=4 (0x04) - Battery voltage low :id=type4

```
VSCP_TYPE_DIAGNOSTIC_BATTERY_LOW
```
Low battery voltage has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=5 (0x05) - Battery full voltage :id=type5

```
VSCP_TYPE_DIAGNOSTIC_BATTERY_FULL
```
Battery full voltage has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=6 (0x06) - Battery error :id=type6

```
VSCP_TYPE_DIAGNOSTIC_BATTERY_ERROR
```
Battery error has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=7 (0x07) - Battery OK :id=type7

```
VSCP_TYPE_DIAGNOSTIC_BATTERY_OK
```
Functional battery has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=8 (0x08) - Over current :id=type8

```
VSCP_TYPE_DIAGNOSTIC_OVERCURRENT
```
Over current has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=9 (0x09) - Circuit error :id=type9

```
VSCP_TYPE_DIAGNOSTIC_CIRCUIT_ERROR
```
Circuit error has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=10 (0x0A) - Short circuit :id=type10

```
VSCP_TYPE_DIAGNOSTIC_SHORT_CIRCUIT
```
Short circuit has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=11 (0x0B) - Open Circuit :id=type11

```
VSCP_TYPE_DIAGNOSTIC_OPEN_CIRCUIT
```
Open Circuit has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=12 (0x0C) - Moist :id=type12

```
VSCP_TYPE_DIAGNOSTIC_MOIST
```
Moist has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=13 (0x0D) - Wire failure :id=type13

```
VSCP_TYPE_DIAGNOSTIC_WIRE_FAIL
```
Wire failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=14 (0x0E) - Wireless faliure :id=type14

```
VSCP_TYPE_DIAGNOSTIC_WIRELESS_FAIL
```
Wireless faliure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=15 (0x0F) - IR failure :id=type15

```
VSCP_TYPE_DIAGNOSTIC_IR_FAIL
```
IR failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=16 (0x10) - 1-wire failure :id=type16

```
VSCP_TYPE_DIAGNOSTIC_1WIRE_FAIL
```
1-wire failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=17 (0x11) - RS-222 failure :id=type17

```
VSCP_TYPE_DIAGNOSTIC_RS222_FAIL
```
RS-222 failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=18 (0x12) - RS-232 failure :id=type18

```
VSCP_TYPE_DIAGNOSTIC_RS232_FAIL
```
RS-232 failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=19 (0x13) - RS-423 failure :id=type19

```
VSCP_TYPE_DIAGNOSTIC_RS423_FAIL
```
RS-423 failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=20 (0x14) - RS-485 failure :id=type20

```
VSCP_TYPE_DIAGNOSTIC_RS485_FAIL
```
RS-485 failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=21 (0x15) - CAN failure :id=type21

```
VSCP_TYPE_DIAGNOSTIC_CAN_FAIL
```
CAN failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=22 (0x16) - LAN failure :id=type22

```
VSCP_TYPE_DIAGNOSTIC_LAN_FAIL
```
LAN failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=23 (0x17) - USB failure :id=type23

```
VSCP_TYPE_DIAGNOSTIC_USB_FAIL
```
USB failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=24 (0x18) - Wifi failure :id=type24

```
VSCP_TYPE_DIAGNOSTIC_WIFI_FAIL
```
Wifi failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=25 (0x19) - NFC/RFID failure :id=type25

```
VSCP_TYPE_DIAGNOSTIC_NFC_RFID_FAIL
```
NFC/RFID failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=26 (0x1A) - Low signal :id=type26

```
VSCP_TYPE_DIAGNOSTIC_LOW_SIGNAL
```
Low signal has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=27 (0x1B) - High signal :id=type27

```
VSCP_TYPE_DIAGNOSTIC_HIGH_SIGNAL
```
High signal has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=28 (0x1C) - ADC failure :id=type28

```
VSCP_TYPE_DIAGNOSTIC_ADC_FAIL
```
ADC failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=29 (0x1D) - ALU failure :id=type29

```
VSCP_TYPE_DIAGNOSTIC_ALU_FAIL
```
ALU failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=30 (0x1E) - Assert :id=type30

```
VSCP_TYPE_DIAGNOSTIC_ASSERT
```
An assert has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=31 (0x1F) - DAC failure :id=type31

```
VSCP_TYPE_DIAGNOSTIC_DAC_FAIL
```
DAC failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=32 (0x20) - DMA failure :id=type32

```
VSCP_TYPE_DIAGNOSTIC_DMA_FAIL
```
DMA failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=33 (0x21) - Ethernet failure :id=type33

```
VSCP_TYPE_DIAGNOSTIC_ETH_FAIL
```
Ethernet failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=34 (0x22) - Exception :id=type34

```
VSCP_TYPE_DIAGNOSTIC_EXCEPTION
```
Exception has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=35 (0x23) - FPU failure :id=type35

```
VSCP_TYPE_DIAGNOSTIC_FPU_FAIL
```
Floating point unit (FPU) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=36 (0x24) - GPIO failure :id=type36

```
VSCP_TYPE_DIAGNOSTIC_GPIO_FAIL
```
General purpose I/O (GPIO) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=37 (0x25) - I2C failure :id=type37

```
VSCP_TYPE_DIAGNOSTIC_I2C_FAIL
```
I2C failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=38 (0x26) - I2S failure :id=type38

```
VSCP_TYPE_DIAGNOSTIC_I2S_FAIL
```
I2C failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=39 (0x27) - Invalid configuration :id=type39

```
VSCP_TYPE_DIAGNOSTIC_INVALID_CONFIG
```
Invalid configuration has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=40 (0x28) - MMU failure :id=type40

```
VSCP_TYPE_DIAGNOSTIC_MMU_FAIL
```
Memory Management Unit (MMU) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=41 (0x29) - NMI failure :id=type41

```
VSCP_TYPE_DIAGNOSTIC_NMI
```
Non mask-able interrupt (NMI) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=42 (0x2A) - Overheat :id=type42

```
VSCP_TYPE_DIAGNOSTIC_OVERHEAT
```
Overheat has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=43 (0x2B) - PLL fail :id=type43

```
VSCP_TYPE_DIAGNOSTIC_PLL_FAIL
```
Phased Locked Loop (PLL) fail has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=44 (0x2C) - POR failure :id=type44

```
VSCP_TYPE_DIAGNOSTIC_POR_FAIL
```
Power ON Reset (POR) fail has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=45 (0x2D) - PWM failure :id=type45

```
VSCP_TYPE_DIAGNOSTIC_PWM_FAIL
```
Pulse Width Modulation (PWM) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=46 (0x2E) - RAM failure :id=type46

```
VSCP_TYPE_DIAGNOSTIC_RAM_FAIL
```
Random Access Memory (RAM) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=47 (0x2F) - ROM failure :id=type47

```
VSCP_TYPE_DIAGNOSTIC_ROM_FAIL
```
Read only memory (ROM) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=48 (0x30) - SPI failure :id=type48

```
VSCP_TYPE_DIAGNOSTIC_SPI_FAIL
```
Serial peripheral interface (SPI) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=49 (0x31) - Stack failure :id=type49

```
VSCP_TYPE_DIAGNOSTIC_STACK_FAIL
```
Stack failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=50 (0x32) - LIN bus failure :id=type50

```
VSCP_TYPE_DIAGNOSTIC_LIN_FAIL
```
LIN bus failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=51 (0x33) - UART failure :id=type51

```
VSCP_TYPE_DIAGNOSTIC_UART_FAIL
```
UART failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=52 (0x34) - Unhandled interrupt :id=type52

```
VSCP_TYPE_DIAGNOSTIC_UNHANDLED_INT
```
Unhandled interrupt has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=53 (0x35) - Memory failure :id=type53

```
VSCP_TYPE_DIAGNOSTIC_MEMORY_FAIL
```
Memory failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=54 (0x36) - Variable range failure :id=type54

```
VSCP_TYPE_DIAGNOSTIC_VARIABLE_RANGE
```
Variable range failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=55 (0x37) - WDT failure :id=type55

```
VSCP_TYPE_DIAGNOSTIC_WDT
```
Watch Dog Timer (WDT) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=56 (0x38) - EEPROM failure :id=type56

```
VSCP_TYPE_DIAGNOSTIC_EEPROM_FAIL
```
EEPROM failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=57 (0x39) - Encryption failure :id=type57

```
VSCP_TYPE_DIAGNOSTIC_ENCRYPTION_FAIL
```
Encryption failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=58 (0x3A) - Bad user input failure :id=type58

```
VSCP_TYPE_DIAGNOSTIC_BAD_USER_INPUT
```
Bad user input failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=59 (0x3B) - Decryption failure :id=type59

```
VSCP_TYPE_DIAGNOSTIC_DECRYPTION_FAIL
```
Decryption failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=60 (0x3C) - Noise :id=type60

```
VSCP_TYPE_DIAGNOSTIC_NOISE
```
Noise has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=61 (0x3D) - Boot loader failure :id=type61

```
VSCP_TYPE_DIAGNOSTIC_BOOTLOADER_FAIL
```
Boot loader failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 




----


## Type=62 (0x3E) - Program flow failure :id=type62

```
VSCP_TYPE_DIAGNOSTIC_PROGRAMFLOW_FAIL
```
Program flow failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=63 (0x3F) - RTC faiure :id=type63

```
VSCP_TYPE_DIAGNOSTIC_RTC_FAIL
```
Real Time Clock (RTC) failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=64 (0x40) - System test failure :id=type64

```
VSCP_TYPE_DIAGNOSTIC_SYSTEM_TEST_FAIL
```
System test failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=65 (0x41) - Sensor failure :id=type65

```
VSCP_TYPE_DIAGNOSTIC_SENSOR_FAIL
```
Sensor failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=66 (0x42) - Safe state entered :id=type66

```
VSCP_TYPE_DIAGNOSTIC_SAFESTATE
```
Safe state entered has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=67 (0x43) - Signal implausible :id=type67

```
VSCP_TYPE_DIAGNOSTIC_SIGNAL_IMPLAUSIBLE
```
Signal implausible has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=68 (0x44) - Storage fail :id=type68

```
VSCP_TYPE_DIAGNOSTIC_STORAGE_FAIL
```
Storage fail has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=69 (0x45) - Self test OK :id=type69

```
VSCP_TYPE_DIAGNOSTIC_SELFTEST_FAIL
```
Self test OK has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=70 (0x46) - ESD/EMC/EMI failure :id=type70

```
VSCP_TYPE_DIAGNOSTIC_ESD_EMC_EMI
```
ESD/EMC/EMI failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=71 (0x47) - Timeout :id=type71

```
VSCP_TYPE_DIAGNOSTIC_TIMEOUT
```
Timeout has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=72 (0x48) - LCD failure :id=type72

```
VSCP_TYPE_DIAGNOSTIC_LCD_FAIL
```
LCD failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=73 (0x49) - Touch panel failure :id=type73

```
VSCP_TYPE_DIAGNOSTIC_TOUCHPANEL_FAIL
```
Touch panel failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=74 (0x4A) - No load :id=type74

```
VSCP_TYPE_DIAGNOSTIC_NOLOAD
```
No load has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=75 (0x4B) - Cooling failure :id=type75

```
VSCP_TYPE_DIAGNOSTIC_COOLING_FAIL
```
Cooling failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=76 (0x4C) - Heating failure :id=type76

```
VSCP_TYPE_DIAGNOSTIC_HEATING_FAIL
```
Heating failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=77 (0x4D) - Transmission failure :id=type77

```
VSCP_TYPE_DIAGNOSTIC_TX_FAIL
```
Transmission failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=78 (0x4E) - Receiption failure :id=type78

```
VSCP_TYPE_DIAGNOSTIC_RX_FAIL
```
Receiption failure has been diagnosed.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=79 (0x4F) - External IC failure :id=type79

```
VSCP_TYPE_DIAGNOSTIC_EXT_IC_FAIL
```
A failure in an external IC circuit has been detected.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 



----


## Type=80 (0x50) - Charging of battery or similar has started or is in progress :id=type80

```
VSCP_TYPE_DIAGNOSTIC_CHARGING_ON
```
Indicates that charging (of a battery for example) is active.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 
 


----


## Type=81 (0x51) - Charging of battery or similar has ended :id=type81

```
VSCP_TYPE_DIAGNOSTIC_CHARGING_OFF
```
Indicates that charging (of a battery for example) is inactive.

 | Data byte | Description                                                                                       | 
 | :---------: | -----------                                                                                       | 
 | 0         | index. Often used as an index for channels/subdevices within a module.                            | 
 | 1         | Zone for which event applies to (0-255). 255 is all zones.                                        | 
 | 2         | Sub-zone for which event applies to (0-255). 255 is all sub-zones.                                | 
 | 3-7       | Can be present or not be present. If present the bytes give additional user specific information. | 
 


----


[filename](./bottom_copyright.md ':include')